Name:           perl-MasonX-Interp-WithCallbacks
Version:        1.18
Release:        9%{?dist}
Summary:        Mason callback support via Params::CallbackRequest
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MasonX-Interp-WithCallbacks/
Source0:        http://www.cpan.org/authors/id/D/DW/DWHEELER/MasonX-Interp-WithCallbacks-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Apache::TestMB)
BuildRequires:  perl(Class::Container) >= 0.09
BuildRequires:  perl(HTML::Mason) >= 1.23
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::CallbackRequest) >= 1.15
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.20
Requires:       perl(Apache::TestMB)
Requires:       perl(Class::Container) >= 0.09
Requires:       perl(HTML::Mason) >= 1.23
Requires:       perl(Params::CallbackRequest) >= 1.15
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
MasonX::Interp::WithCallbacks subclasses HTML::Mason::Interp in order to
provide a Mason callback system built on Params::CallbackRequest. Callbacks
may be either code references provided to the new() constructor, or methods
defined in subclasses of Params::Callback. Callbacks are triggered either
for every request or by specially named keys in the Mason request
arguments, and all callbacks are executed at the beginning of a request,
just before Mason creates and executes the request component stack.

%prep
%setup -q -n MasonX-Interp-WithCallbacks-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?_with_check:./Build test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.18-8
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.18-6
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.18-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.18-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 16 2008 Steven Pritchard <steve@kspei.com> 1.18-1
- Update to 1.18.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.17-2
- Rebuild for new perl

* Fri Jul 27 2007 Steven Pritchard <steve@kspei.com> 1.17-1
- Update to 1.17.

* Mon Jul 16 2007 Steven Pritchard <steve@kspei.com> 1.16-1
- Specfile autogenerated by cpanspec 1.73.
- BR Test::More and Test::Pod.
- Disable tests for now.  (The are written for mod_perl 1.)
